Первым делом я создал папку под название 1.
```

$ git init 

```
Reinitialized existing Git repository in C:/Users/HEXRTRXTE/Desktop/lab/.git/

```

```

Создает пустой репозиторий. 

```
$ git config --global user.name "vpetrov"

```

Добавляет имя для репозиторий.

```

$ git config --global user.email "qefqefqeftyo@gmail.com"

```

Добавляет почту для репозиторий.

```
$ git add .

```

Добавляет все папки в репозиторий.

```

$ git commit -m "1"

```

```
[master ea9db28] 1
 1 file changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 Readme.txt
```
Сохраняет все фалый с папки

```

$ git status

```

```
On branch master
Your branch is ahead of 'origin/master' by 1 commit.
  (use "git push" to publish your local commits)

nothing to commit, working tree clean
```

Выдает статус репозитории.

```

$ git remote add origin https://kolei.ru/vpetrov/1.git

```

```
error: remote origin already exists.

```
Добавляет в настройки локального репозитория ссылку на внешний репозиторий.
```
```
$ git push -u origin master
```

```
Enumerating objects: 4, done.
Counting objects: 100% (4/4), done.
Delta compression using up to 8 threads
Compressing objects: 100% (2/2), done.
Writing objects: 100% (3/3), 270 bytes | 270.00 KiB/s, done.
Total 3 (delta 0), reused 0 (delta 0), pack-reused 0
To https://kolei.ru/vpetrov/1.git
   74c5050..ea9db28  master -> master
branch 'master' set up to track 'origin/master'.
```
Перекидывает все файлы с локального репозитория на внешний.


